namespace PizzaStore.Db;

public record Pizza {
	public int Id { get; set; }
	public string? Name { get; set; }
}

public class PizzaDb {
	private static List<Pizza> _pizzas = [
		new() { Id = 1, Name = "Montemagno, Pizza shaped like a great mountain" },
		new() { Id = 2, Name = "The Galloway, Pizza shaped like a submarine, silent but deadly" },
		new() { Id = 3, Name = "The Noring, Pizza shaped like a Viking helmet, where's the mead" }
	];

	public static List<Pizza> GetPizzas() {
		return _pizzas;
	}

	public static Pizza? GetPizza(int id) {
		return _pizzas.SingleOrDefault(p => p.Id == id);
	}

	public static Pizza CreatePizza(Pizza pizza) {
		_pizzas.Add(pizza);
		return pizza;
	}

	public static Pizza UpdatePizza(Pizza pizza) {
		_pizzas = _pizzas.Select(p => {
			if (p.Id == pizza.Id) {
				p.Name = pizza.Name;
			}
			return p;
		}).ToList();

		return pizza;
	}

	public static void RemovePizza(int id) {
		_pizzas = _pizzas.FindAll(p => p.Id != id).ToList();
	}
}
